package org.briarproject.bramble.plugin.lora;

import org.briarproject.bramble.api.battery.BatteryManager;
import org.briarproject.bramble.api.crypto.CryptoComponent;
import org.briarproject.bramble.api.event.EventBus;
import org.briarproject.bramble.api.lifecycle.IoExecutor;
import org.briarproject.bramble.api.network.NetworkManager;
import org.briarproject.nullsafety.NotNullByDefault;
import org.briarproject.bramble.api.plugin.Backoff;
import org.briarproject.bramble.api.plugin.BackoffFactory;
import org.briarproject.bramble.api.plugin.PluginCallback;
import org.briarproject.bramble.api.system.Clock;
import org.briarproject.bramble.api.system.LocationUtils;
import org.briarproject.bramble.api.system.ResourceProvider;
import org.briarproject.bramble.api.system.WakefulIoExecutor;
import org.briarproject.bramble.plugin.lora.AbstractLoRaPluginFactory;
import org.briarproject.bramble.plugin.lora.AbstractLoRaPlugin;
import org.briarproject.bramble.api.plugin.LoRaConstants;

import java.io.File;
import java.util.concurrent.Executor;

import javax.annotation.Nullable;
import javax.annotation.concurrent.Immutable;
import javax.inject.Inject;
import javax.net.SocketFactory;

import static java.util.logging.Level.INFO;

@Immutable
@NotNullByDefault
public class UnixLoRaPluginFactory extends AbstractLoRaPluginFactory {

	@Inject
	UnixLoRaPluginFactory(@IoExecutor Executor ioExecutor, @WakefulIoExecutor Executor wakefulIoExecutor,BackoffFactory backoffFactory, Clock clock, CryptoComponent crypto) {
		super(ioExecutor, wakefulIoExecutor, backoffFactory, clock, crypto);
	}

	@Override
	AbstractLoRaPlugin createPluginInstance(Backoff backoff, PluginCallback callback) {
		return new UnixLoRaPlugin(ioExecutor, wakefulIoExecutor, clock, backoff, callback, LoRaConstants.MAX_LATENCY, LoRaConstants.MAX_IDLE_TIME);
	}
}
